---
search:
  tags:
    - Host
    - GET
seo:
  description: >-
    Read the current host allocation and list retired ones and… Reference for
    the GET /api/admin/host/history endpoint in the Athena Attack/Defence Admin
    API.
sidebar:
  label: >-
    Read the current host allocation and list retired ones and recorded host
    incidents
  badge: GET
title: >-
  Read the current host allocation and list retired ones and recorded host
  incidents
type: openapi-operation
---
`GET /api/admin/host/history`

**Responses**

- `200` — Success
- `401` — Unauthorized
- `500` — Unhandled server error

Response example, 200:

```json
{
  "currentAllocationOperationId": "string",
  "allocations": [
    {
      "allocationOperationId": "string",
      "hostImageVersion": "string",
      "admittedTeamCount": 0,
      "credentialGeneration": 0,
      "reallocationOperationId": "string",
      "reason": "compromise",
      "retiredAt": "2019-08-24T14:15:22Z"
    }
  ],
  "incidents": [
    {
      "id": "string",
      "reason": "string",
      "allocationOperationId": "string",
      "networkOpened": true,
      "recordedBy": "string",
      "recordedAt": "2019-08-24T14:15:22Z",
      "replacedByAllocationId": "string",
      "replacedAt": "2019-08-24T14:15:22Z"
    }
  ]
}
```
